package com.ruoyi.wx.web.domain.dto;

/**
 * 微信支付请求对象
 */
public class WxPayDto {
    /**
     * 积分数
     */
    private Long points;

    /**
     * 会员折扣
     */
    private String discount;

    /**
     * 会员立减
     */
    private String money;

    /**
     * 当前用户
     */
    private String openId;

    /**
     * 会员等级：1.月卡，2.季卡，3.年卡
     */
    private Integer vipLv;

    /**
     * 总金额
     */
    private String tBal;

    public Long getPoints() {
        return points;
    }

    public void setPoints(Long points) {
        this.points = points;
    }

    public String getDiscount() {
        return discount;
    }

    public void setDiscount(String discount) {
        this.discount = discount;
    }

    public String getMoney() {
        return money;
    }

    public void setMoney(String money) {
        this.money = money;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String gettBal() {
        return tBal;
    }

    public void settBal(String tBal) {
        this.tBal = tBal;
    }

    public Integer getVipLv() {
        return vipLv;
    }

    public void setVipLv(Integer vipLv) {
        this.vipLv = vipLv;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("WxPayDto{");
        sb.append("points=").append(points);
        sb.append(", discount='").append(discount).append('\'');
        sb.append(", money='").append(money).append('\'');
        sb.append(", openId='").append(openId).append('\'');
        sb.append(", vipLv=").append(vipLv);
        sb.append(", tBal='").append(tBal).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
